Add an asset instance to a specific shot.
POST
/data/shots/{shot_id}/asset-instances
curl
curl -X POST "http://api.example.com/data/shots/e68e0ie8-gi19-8009-e514-91897426g69/asset-instances" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"asset_instance_id": "h91h3lh1-jl42-1332-h847-24120759j92"
}'
import requests
url = "http://api.example.com/data/shots/e68e0ie8-gi19-8009-e514-91897426g69/asset-instances"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"asset_instance_id": "h91h3lh1-jl42-1332-h847-24120759j92"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/shots/e68e0ie8-gi19-8009-e514-91897426g69/asset-instances' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"asset_instance_id":"h91h3lh1-jl42-1332-h847-24120759j92"}'
Request examples
{
"asset_instance_id": "h91h3lh1-jl42-1332-h847-24120759j92"
}
Response examples (201)
{
"id": "e68e0ie8-gi19-8009-e514-91897426g69",
"name": "SH001",
"asset_instances": [
{
"id": "h91h3lh1-jl42-1332-h847-24120759j92",
"asset_id": "c46c8gc6-eg97-6887-c292-79675204e47"
}
]
}